From da18cf6ace36cc4a73e315c609d06a5cb2bf4903 Mon Sep 17 00:00:00 2001
Date: Mon, 17 May 2021 21:11:39 -0700
Subject: [PATCH 14/24] Fix float.h to work on Snow Leopard and earlier

---
 clang/lib/Headers/float.h | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/clang/lib/Headers/float.h b/clang/lib/Headers/float.h
index ed610b24aa10..9dc3c0a12a03 100644
--- a/clang/lib/Headers/float.h
+++ b/clang/lib/Headers/float.h
@@ -17,7 +17,12 @@
  * Also fall back on Darwin to allow additional definitions and
  * implementation-defined values.
  */
-#if (defined(__APPLE__) || (defined(__MINGW32__) || defined(_MSC_VER))) && \
+
+#if defined(__APPLE__) && __has_include(<Availability.h>)
+#include <Availability.h>
+#endif
+
+#if ((defined(__APPLE__) && __has_include(<Availability.h>) && (!defined(__MAC_OS_X_VERSION_MAX_ALLOWED) || __MAC_OS_X_VERSION_MAX_ALLOWED >= 101300)) || (defined(__MINGW32__) || defined(_MSC_VER))) && \
     __STDC_HOSTED__ && __has_include_next(<float.h>)
 
 /* Prior to Apple's 10.7 SDK, float.h SDK header used to apply an extra level
-- 
2.21.1 (Apple Git-122.3)

